## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 76;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global codate 20241118
%global commit 4bdd7790f41516e191332cc3680b0030e439c4f0
%global shortcommit %(c=%{commit}; echo ${c:0:8})

Name:           edid-decode
Version:        0
Release:        %autorelease -s %{codate}git%{shortcommit}
Summary:        Decode EDID data in human-readable format

License:        MIT
URL:            https://git.linuxtv.org/edid-decode.git/
Source0:        edid-decode-%{shortcommit}.tar.xz
Source1:        edid-decode-snapshot.sh

BuildRequires:  gcc-c++
BuildRequires:  meson

Conflicts:	xorg-x11-utils < 7.5-33

%description
Decodes raw monitor EDID data in human-readable format.


%prep
%setup -q -n %{name}


%build
%meson
%meson_build


%install
%meson_install


%files
%doc README
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0-76.20241118git4bdd7790
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 18 2024 Yanko Kaneti <yaneti@declera.com> - 0-75.20241118git4bdd7790
- Recent snapshot

* Mon Aug 12 2024 Yanko Kaneti <yaneti@declera.com> - 0-74.20240812gitc3708827
- Recent snapshot

* Fri Aug 02 2024 Yanko Kaneti <yaneti@declera.com> - 0-73.20240802git303b033f
- Recent snapshot

* Tue Jul 23 2024 Yanko Kaneti <yaneti@declera.com> - 0-72.20240723git6f117a8f
- Recent snapshot

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-71.20240617git5d66c548
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Yanko Kaneti <yaneti@declera.com> - 0-70.20240617git5d66c548
- Recent snapshot

* Sat Jun 08 2024 Yanko Kaneti <yaneti@declera.com> - 0-69.20240608gitc6b859d7
- Recent snapshot

* Fri May 10 2024 Yanko Kaneti <yaneti@declera.com> - 0-68.20240510gitf4b0548c
- Recent snapshot. Upstream move to meson

* Tue Jan 30 2024 Yanko Kaneti <yaneti@declera.com> - 0-67.20240130git7a27b339
- Recent revision

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-66.20231219git1e99fe84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-65.20231219git1e99fe84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Yanko Kaneti <yaneti@declera.com> - 0-64.20231219git1e99fe84
- Recent snapshot

* Wed Nov 15 2023 Yanko Kaneti <yaneti@declera.com> - 0-63.20231115git385c6cb0
- Recent snapshot

* Tue Oct 31 2023 Yanko Kaneti <yaneti@declera.com> - 0-62.20231031git100437cf
- Recent snapshot

* Wed Aug 30 2023 Yanko Kaneti <yaneti@declera.com> - 0-61.20230830git5f723267
- Recent snapshot. SPDX migration - is MIT

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-60.20230619gita31e6804
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 19 2023 Yanko Kaneti <yaneti@declera.com> - 0-59.20230619gita31e6804
- Recent snapshot

* Mon Jun 05 2023 Yanko Kaneti <yaneti@declera.com> - 0-58.20230605gite48fb384
- Recent snapshot

* Mon Mar 20 2023 Yanko Kaneti <yaneti@declera.com> - 0-57.20230320git2d44e1b0
- Recent snapshot

* Wed Mar 01 2023 Yanko Kaneti <yaneti@declera.com> - 0-56.20230301gitd740dde3
- Recent snapshot

* Wed Feb 01 2023 Yanko Kaneti <yaneti@declera.com> - 0-55.20230201git915b0ce5
- Recent snapshot

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-54.20230101gite052f5f9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 02 2023 Yanko Kaneti <yaneti@declera.com> - 0-53.20230101gite052f5f9
- sources..

* Mon Jan 02 2023 Yanko Kaneti <yaneti@declera.com> - 0-52.20230101gite052f5f9
- Recent snapshot

* Tue Sep 13 2022 Yanko Kaneti <yaneti@declera.com> - 0-51.20220913git791ce31e
- Recent snapshot

* Tue Aug 09 2022 Yanko Kaneti <yaneti@declera.com> - 0-50.20220809git6816e6a6
- Recent snapshot

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-49.20220617git582c9356
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Yanko Kaneti <yaneti@declera.com> - 0-48.20220617git582c9356
- New snapshot

* Fri May 27 2022 Yanko Kaneti <yaneti@declera.com> - 0-47.20220527gitcc1aeb00
- New snapshot

* Fri Apr 15 2022 Yanko Kaneti <yaneti@declera.com> - 0-46.20220415git8a8d673d
- New snapshot

* Wed Mar 16 2022 Yanko Kaneti <yaneti@declera.com> - 0-45.20220317gitcb74358c
- New snapshot

* Sun Mar 06 2022 Yanko Kaneti <yaneti@declera.com> - 0-44.20220306git388f4dd7
- Forgot sources

* Sun Mar 06 2022 Yanko Kaneti <yaneti@declera.com> - 0-43.20220306git388f4dd7
- New snapshot

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-42.20211201gitb00755e3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 01 2021 Yanko Kaneti <yaneti@declera.com> - 0-41.20211201gitb00755e3
- New snapshot

* Thu Oct 28 2021 Yanko Kaneti <yaneti@declera.com> - 0-40.20211028git67ed12e3
- New snapshot

* Mon Oct 04 2021 Yanko Kaneti <yaneti@declera.com> - 0-39.20211004git84ddf915
- New snapshot

* Wed Sep 22 2021 Yanko Kaneti <yaneti@declera.com> - 0-38.20210922git30927dac
- New snapshot

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-8.20210629git9ca84336
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Yanko Kaneti <yaneti@declera.com> - 0-7.2020629git9ca84336
- New snapshot.

* Mon Jun 14 2021 Yanko Kaneti <yaneti@declera.com> - 0-7.2020614giteb7831ef
- New snapshot.

* Wed Apr 14 2021 Yanko Kaneti <yaneti@declera.com> - 0-7.2020414git4b7d16dc
- New snapshot.

* Sun Mar 14 2021 Yanko Kaneti <yaneti@declera.com> - 0-7.2020314git083d0480
- New snapshot.

* Sun Feb 28 2021 Yanko Kaneti <yaneti@declera.com> - 0-7.2020228gitf40dfc04
- New snapshot.

* Mon Feb 15 2021 Yanko Kaneti <yaneti@declera.com> - 0-7.2020215gitaf996e63
- New snapshot. New timings options

* Thu Feb 11 2021 Yanko Kaneti <yaneti@declera.com> - 0-6.2020211gitf78149a5
- New snapshot.

* Thu Jan 28 2021 Yanko Kaneti <yaneti@declera.com> - 0-6.2020128git526a72d9
- New snapshot.

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-7.20201125git8a370df2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Yanko Kaneti <yaneti@declera.com> - 0-6.20201125git8a370df2
- New snapshot.

* Tue Sep  8 2020 Yanko Kaneti <yaneti@declera.com> - 0-6.20200908git3265be5a
- New snapshot.

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-6.20200717git4ee445ea
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Yanko Kaneti <yaneti@declera.com> - 0-5.20200717git4ee445ea
- New snapshot.

* Mon May 18 2020 Yanko Kaneti <yaneti@declera.com> - 0-4.20200518git18895047
- New snapshot.

* Thu Mar  5 2020 Yanko Kaneti <yaneti@declera.com> - 0-4.20200305git68a38bae
- New snapshot. Bugfixes

* Sun Feb 16 2020 Yanko Kaneti <yaneti@declera.com> - 0-4.20200216git9bdf5552
- New snapshot. Major cleanups

* Tue Feb 11 2020 Yanko Kaneti <yaneti@declera.com> - 0-4.20200211gitc5b275a6
- New snapshot. Add some more timings formats

* Mon Feb 10 2020 Yanko Kaneti <yaneti@declera.com> - 0-4.20200210git9f6bb734
- New snapshot. Support Dobly Vision Data Block, CTA Data Blocks in DisplayID

* Mon Feb  3 2020 Yanko Kaneti <yaneti@declera.com> - 0-4.20200203gitc29b9433
- New snapshot. Support  DisplayID 2.0 VESA VSDB

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-4.20200127gita6b199e9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 27 2020 Yanko Kaneti <yaneti@declera.com> - 0-3.20200127gita6b199e9
- New snapshot

* Mon Jan 20 2020 Yanko Kaneti <yaneti@declera.com> - 0-3.20200120gitc42616dd
- New snapshot. Adds support for DTCDB and DDDB

* Thu Dec 12 2019 Yanko Kaneti <yaneti@declera.com> - 0-3.20191212gite719d040
- New snapshot. Add license

* Mon Dec  2 2019 Yanko Kaneti <yaneti@declera.com> - 0-3.20191202git5dc6e53a
- New snapshot. Switch to C++

* Mon Nov 25 2019 Yanko Kaneti <yaneti@declera.com> - 0-3.20191125git7bbed3ae
- New snapshot.

* Sat Nov 23 2019 Yanko Kaneti <yaneti@declera.com> - 0-3.20191123git8108c45f
- New snapshot.

* Thu Nov 21 2019 Yanko Kaneti <yaneti@declera.com> - 0-3.20191121git8b50301f
- New snapshot.

* Wed Nov 13 2019 Yanko Kaneti <yaneti@declera.com> - 0-3.20191113gitcc5a7bf9
- New snapshot. Bugfixes.

* Thu Oct 31 2019 Yanko Kaneti <yaneti@declera.com> - 0-3.20191031git3a6108a7
- New snapshot. Improve DisplayID 1.2/3 parsing

* Fri Oct 18 2019 Yanko Kaneti <yaneti@declera.com> - 0-3.20191018gitdc8afbf7
- New snapshot. Adds support for HDMI 2.1 Amendment A1 and HDR10+

* Tue Oct  1 2019 Yanko Kaneti <yaneti@declera.com> - 0-3.20191001git7d26052f
- New snapshot

* Thu Sep 26 2019 Yanko Kaneti <yaneti@declera.com> - 0-1.20190926git7696439d
- New snapshot
- Use make_build

* Thu Sep 26 2019 Yanko Kaneti <yaneti@declera.com> - 0-2.20190820git0932deee
- Add Conflicts with xorg-x11-utils < 7.5-33

* Tue Aug 20 2019 Yanko Kaneti <yaneti@declera.com> - 0-1.20190820git0932deee
- Split from xorg-x11-utils

## END: Generated by rpmautospec
